<!-- eslint-disable vue/no-multiple-template-root -->
<template>
  <lazy-theme-mobile-modern-promotion v-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-modern-promotion v-if="theme === 'desktop/modern'" />
  <lazy-theme-desktop-china-promotion v-if="theme === 'desktop/china'" />
  <lazy-theme-mobile-china-promotion v-if="theme === 'mobile/china'" />
  <lazy-theme-desktop-black-promotion v-if="theme === 'desktop/black'" />
  <lazy-theme-desktop-main-promotion v-if="theme === 'desktop/main'" />
  <lazy-theme-desktop-main-promotion v-if="theme === 'desktop/global'" />
  <lazy-theme-desktop-main-promotion v-if="theme === 'desktop/playful'" />
  <lazy-theme-mobile-black-promotion v-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-main-promotion-2 v-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-promotion-2 v-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-promotion-2 v-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-sbo-promotion v-if="theme === 'desktop/sbo'" />
  <lazy-theme-mobile-sbo-promotion v-if="theme === 'mobile/sbo'" />
  <lazy-theme-desktop-cool88-promotion v-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-promotion v-if="theme === 'desktop/bk8'" />
  <lazy-theme-desktop-peru-promotion v-if="theme.includes('/peru')" />
</template>
<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
